import Vue from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';
import ElementUI from 'element-ui';


import { BootstrapVue } from 'bootstrap-vue';
import VueAwesomeSwiper from 'vue-awesome-swiper';
Vue.use(BootstrapVue);

Vue.use(VueAwesomeSwiper);
import './assets/css/global.css';
import './assets/css/index.css';
import 'element-ui/lib/theme-chalk/index.css';
import 'bootstrap/dist/css/bootstrap.css';
import 'bootstrap-vue/dist/bootstrap-vue.css';
import 'swiper/dist/css/swiper.css';
import { parseTime } from './utils/zpublick';
Vue.prototype.parseTime = parseTime;
Vue.prototype.BASE_API = 'http://dgt.dgtis.com/oneportal/';
Vue.use(ElementUI);
new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount('#app');


router.afterEach((to,from,next)=>{
  window.scrollTo(0,0)
})
